dh-elpa (2.0.16) unstable; urgency=medium

  * Drop dependencies on emacs-el introduced in 2.0.11.
    Emacs itself now has this dependency.  It's required for native-comp.
  * install/remove: Export EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t.
    This is likely temporary, pending updates to emacsen-common.

  * dh_elpa_test: Revert changes in 2.0.12, 2.0.13 and 2.0.14.
  * dh_elpa_test: Export EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t.
    Unconditionally prevent native comp writing to HOME while running tests.
  * dh_elpa_test: Replace use of smartmatch operator.
    It is expected that Perl upstream will soon deprecate the operator.

  * Add license & copyright headers to dh_elpa{,_test}.
  * Tighten dependency on emacs-nox|emacs to require >= 1:28.2+1-9.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 23 Dec 2022 11:49:04 -0700

dh-elpa (2.0.15) unstable; urgency=medium

  * Add elpa-org to the list of packages that are built-in but also
    packaged separately in Debian.
    Thanks to Aymeric Agon-Rambosson for reporting the issue.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 08 Nov 2022 12:19:46 -0700

dh-elpa (2.0.14) unstable; urgency=medium

  * Per Eli Z. suggestion, try native-comp-eln-load-path to limit reading
    and writing of eln during dh_elpa_test.

 -- David Bremner <bremner@debian.org>  Sun, 02 Oct 2022 09:18:37 -0300

dh-elpa (2.0.13) unstable; urgency=medium

  * Disable native code when running ERT tests

 -- David Bremner <bremner@debian.org>  Fri, 30 Sep 2022 07:04:56 -0300

dh-elpa (2.0.12) unstable; urgency=medium

  * Set temporary native code cached directory when running (ERT) tests.

 -- David Bremner <bremner@debian.org>  Sun, 25 Sep 2022 08:15:00 -0300

dh-elpa (2.0.11) unstable; urgency=medium

  * Depend (temporarily?) on emacs-el as workaround for #1017698

 -- David Bremner <bremner@debian.org>  Thu, 25 Aug 2022 08:38:18 -0700

dh-elpa (2.0.10) unstable; urgency=medium

  * Update dh_elpa_test documentation
  * Bug fix: "Adding a basic autopkgtest", thanks to Lukas Märdian
    (Closes: #1001452).

 -- David Bremner <bremner@debian.org>  Thu, 16 Dec 2021 12:48:45 -0400

dh-elpa (2.0.9) unstable; urgency=medium

  * Bug fix: "install error when root user has packages under
    /root/.emacs.d/elpa", thanks to Nick Gasson (Closes: #985459). The fix
    is to set PACKAGE-USER-DIR to "/nonexistent" when doing an install.

 -- David Bremner <bremner@debian.org>  Mon, 20 Sep 2021 08:24:37 -0300

dh-elpa (2.0.8) unstable; urgency=medium

  * Retry upload interrupted by Emacs crash.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jan 2021 13:40:23 -0700

dh-elpa (2.0.7) unstable; urgency=medium

  * Mark dh-elpa as providing dh-sequence-elpa, for use in
    Build-Depends{,-Indep}, to enable implicit "--with elpa" rules
    (Closes: #981084).
    Thanks to Olivier Tilloy for the patch and others for discussion.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jan 2021 13:28:45 -0700

dh-elpa (2.0.6) unstable; urgency=medium

  * Bug fix: "Can't install non-ELPA package due to typo in helper
    script", thanks to Youhei SASAKI (Closes: #973346).

 -- David Bremner <bremner@debian.org>  Thu, 29 Oct 2020 08:17:42 -0300

dh-elpa (2.0.5) unstable; urgency=medium

  * Add xref and project to the list of built-in packages that we also
    have packaged separately (Closes: #972995).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 27 Oct 2020 09:23:33 -0700

dh-elpa (2.0.4) unstable; urgency=medium

  [ David Bremner ]
  * Enable Multi-Arch: foreign. Currently it seems like any
    architecture-dependent variance in the behaviour of dh_elpa is
    probably a bug.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 01 Jun 2020 17:29:26 -0700

dh-elpa (2.0.3) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Fix typos in dh_elpa documentation.
  * Clean up trailing whitespace in this changelog.

  [ Sean Whitton ]
  * dh_elpa_test(1): Note exit code requirement in docs for ert_helper
    (Closes: #941330).

  [ Daniel Kahn Gillmor ]
  * Use secure copyright file specification URI.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Rules-Requires-Root: no

 -- David Bremner <bremner@debian.org>  Sun, 19 Apr 2020 08:52:10 -0300

dh-elpa (2.0.2) unstable; urgency=medium

  * Upload to unstable
  * Assert compliance with policy version to 4.4.0
  * Drop dependencies on obsolete "emacs25" variants

 -- David Bremner <bremner@debian.org>  Sat, 14 Sep 2019 10:18:40 -0300

dh-elpa (2.0.1) experimental; urgency=medium

  * move bulk of maintainer scripts to a helper package that
    can be updated (Closes: #935766).
  * add binary package dh-elpa-helper
  * add dependency on dh-elpa-helper packages built with dh_elpa
  * stop embedding version in dh_elpa, elpa.pm

 -- David Bremner <bremner@debian.org>  Mon, 02 Sep 2019 12:51:33 -0300

dh-elpa (1.16) unstable; urgency=high

  * unset HOME in the generated maintainer scripts.

 -- David Bremner <bremner@debian.org>  Thu, 24 Jan 2019 22:49:28 -0400

dh-elpa (1.15) unstable; urgency=medium

  * Support optional destination subdirectory in d/elpa (Closes: #909307).

 -- David Bremner <bremner@debian.org>  Sat, 20 Oct 2018 20:46:46 -0300

dh-elpa (1.14) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Update Maintainer team name and email address.
  * Update Vcs links to point to salsa project.
  * Update watch file to check salsa instead of anonscm.debian.org

  [ David Bremner ]
  * Add support for ELPA_NAME environment variable  (Closes: #905464, #906579).
  * Bug fix: "support elpa version number of 0" (Closes: #906528).
  * Bug fix: "(Build)-Depends on emacs25-nox | emacs25", thanks to Sven
    Joachim (Closes: #908102).

 -- David Bremner <bremner@debian.org>  Sat, 08 Sep 2018 10:15:15 -0300

dh-elpa (1.13) unstable; urgency=medium

  * upload to unstable

 -- David Bremner <bremner@debian.org>  Fri, 16 Mar 2018 22:09:21 -0300

dh-elpa (1.12) experimental; urgency=medium

  [ Nicholas D Steeves ]
  * dh_elpa_test: Remove work-around for s-el and dash-el, because they
    have been elpafied.

  [ David Bremner ]
  * Do not load startup files in /etc/emacs/site-start.d (Closes: #886253).
  * Add the --emacs-loadpath argument to allow manual addition of
    non-elpa-* byte-compilation dependencies
  * Drop /usr/share/emacs/site-lisp from load-path. This is not needed for
    dh-elpa based dependencies. Packages that need it can add it back via
    --emacs-loadpath.

 -- David Bremner <bremner@debian.org>  Sun, 21 Jan 2018 22:51:00 -0400

dh-elpa (1.11) unstable; urgency=medium

  * disable dh-elpa-Version field

 -- David Bremner <bremner@debian.org>  Fri, 04 Aug 2017 08:55:36 -0400

dh-elpa (1.10) unstable; urgency=medium

  [ Sean Whitton ]
  * Add dh-elpa-Version: field to binary package control files.
    This tracks the dh-elpa version used to build the package, to make it
    possible to find packages that need rebuilding against newer dh-elpa.

  [ David Bremner ]
  * Treat 'emacs' as a first class flavour, anticipating Debian emacs
    packages using that in place of 'emacsNN'.
  * Fix reporting of ignored flavors on removal (cosmetic change).
  * Replace '2' in generated emacsen-common compat file

 -- David Bremner <bremner@debian.org>  Thu, 03 Aug 2017 14:09:10 -0400

dh-elpa (1.9) unstable; urgency=medium

  * Drop alternative {build-,}depends on emacs24{-nox,}.
    src:emacs24 will soon be removed from the archive.
  * Bump debhelper compat to 10.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 02 Aug 2017 11:20:45 -0400

dh-elpa (1.8) unstable; urgency=medium

  [ David Bremner ]
  * License generated maintainer scripts under CC0 (roughly, public domain).

  [ Sean Whitton ]
  * Stop generating ${misc:Built-Using} substvar.
    No longer required since maintscripts are now licensed CC0/public domain.
    While the substvar was initially added to help find packages that need
    to be rebuilt against a more recent version of dh-elpa (see #803350),
    this is not the intended use of the Built-Using field, and as such it
    has been inconveniencing the Release Team.
  * Bump standards version to 4.0.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Jul 2017 15:26:02 +0100

dh-elpa (1.7) unstable; urgency=medium

  * Properly implement ignoring files containing ERT tests in .git.
    dh-elpa 1.4 ignored them in only --autopkgtest mode.
  * Update list of addons packaged outside of the elpa-* namespace.
    - Remove s, dash and yasnippet.
  * Manpage grammar fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 18 Jun 2017 21:43:37 +0100

dh-elpa (1.6) unstable; urgency=medium

  * Add an "exit 0" to xemacs case of remove script (Closes: #850036).

 -- David Bremner <bremner@debian.org>  Sun, 08 Jan 2017 09:28:52 -0400

dh-elpa (1.5) unstable; urgency=high

  * Add built-in packages to ${elpa:Depends} if they are also packaged
    separately in Debian (e.g. let-alist and seq).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 01 Jan 2017 21:16:24 +0000

dh-elpa (1.4) unstable; urgency=medium

  * Add note to dh_elpa_test manpage about disabling its override of
    dh_auto_test.
  * Update Emacs dependency and build-dependency:
    Previously: emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~)
    Now:        emacs25-nox | emacs25 | emacs24-nox | emacs24
    - emacsXY-lucid has "Provides: emacsXY".
    - Update for emacs25, but retain emacs24 for the sake of backports.
    - Retain emacs24-nox for the sake of the backports buildds.
  * dh_elpa_test ignores files containing ERT tests in .git.
    In particular, don't try to load files in .git/dgit/unpack/fake.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 19 Dec 2016 07:32:34 +0000

dh-elpa (1.3) unstable; urgency=medium

  * Fix version comparison in elpa.pm.
    Quote "0.90" so that the trailing 0 is not lost.
  * Override debian-watch-file-in-native-package.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 06 Sep 2016 20:38:10 -0700

dh-elpa (1.2) unstable; urgency=medium

  * Add generated files to debian/clean:
    - dh_elpa
    - dh_elpa.1
    - dh_elpa_test.1
  * Add missing dependency on debhelper.
  * Declare source format 3.0 (native).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Aug 2016 07:12:14 -0700

dh-elpa (1.1) unstable; urgency=medium

  * Attempt to sanitise versions from DEB_* env vars so that Emacs accepts
    them as ELPA package version strings.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 12 Aug 2016 19:51:04 -0700

dh-elpa (1.0) unstable; urgency=medium

  [ Sean Whitton ]
  * dh_elpa_test should now be configured by the config file debian/elpa-test.
    - New dependency on libconfig-tiny-perl.
  * The old DH_ELPA_TEST_* configuration env vars are deprecated.
  * Backport prep
    - Add check for dh-make-perl version before invoking dh_elpa_test
    - New dependency for this check: libdpkg-perl
  * Globs in ert_exclude/DH_ELPA_TEST_ERT_EXCLUDE will now be matched against
    the full paths to files (relative to the root of the source package).
    Previously, only the basename was matched, so it was not possible to
    use a glob like "broken-tests/*.el".
    - New dependency on libtext-glob-perl.
  * Add --autopkgtest switch to dh_elpa_test for autodep8.
  * Add example usage of ert_exclude to dh_elpa_test(1).

  [ David Bremner ]
  * depend on libdebian-source-perl in preference to dh-make-perl, if the
    former is available.

  [ Rémi Vanicat & Sean Whitton ]
  * use DEB_UPSTREAM_VERSION or DEB_VERSION_UPSTREAM as elpa version if
    there is no version line in the main "*.el" file  (Closes: #829200)
  * add HINTS section to dh_elpa(1) documenting this

 -- David Bremner <bremner@debian.org>  Thu, 04 Aug 2016 13:44:50 +0900

dh-elpa (0.0.21) unstable; urgency=medium

  * Actually exclude .pc/ and debian/ directories from ERT tests.
  * Fix Vcs-Git: URI.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 May 2016 15:33:34 -0700

dh-elpa (0.0.20) unstable; urgency=medium

  [ David Bremner ]
  * Tighten versioned dependency on debhelper, needed for
    get_source_date_epoch

  [ Sean Whitton ]
  * Add yasnippet to list of packages maintained outside of the elpa-*
    binary package namespace.
  * Add dh_elpa_test helper and add to elpa.pm sequencer script, plus
    documentation, new dependencies and installation code.
    dh_elpa can now automatically detect and run Buttercup and ERT test
    suites.
  * Use https for Vcs-* control file fields.
  * Add myself as an uploader.
  * Run wrap-and-sort -abst to deal with lengthening dependencies list.
  * Bump standards version to 3.9.8; no changes required.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 01 May 2016 13:19:11 -0700

dh-elpa (0.0.19) unstable; urgency=medium

  [ Sean Whitton ]
  * Fix generation of *-pkg.el file to not include dependencies on dash-el
    or s-el, which are currently maintained outside of the elpa-*
    namespace in Debian.

 -- David Bremner <bremner@debian.org>  Sun, 21 Feb 2016 09:17:51 -0400

dh-elpa (0.0.18) unstable; urgency=low

  * Document "--with elpa"
  * Add --fix-autoload-date option (on by default) to take autoload dates
    from changelog (Closes: #799168).
  * Add ${elpa:Depends} substvar. Thanks to Sean Whitton for the implementation.

 -- David Bremner <bremner@debian.org>  Sun, 03 Jan 2016 19:26:12 -0400

dh-elpa (0.0.17) unstable; urgency=medium

  * Document substvars
  * Add "--with elpa" sequencer option

 -- David Bremner <bremner@debian.org>  Sun, 29 Nov 2015 08:28:26 -0400

dh-elpa (0.0.16) unstable; urgency=medium

  * Bug fix: "Add Built-Using substvars entry", thanks to Hilko Bengen
    (Closes: #803350).
  * Add depends on ${perl:Depends}

 -- David Bremner <bremner@debian.org>  Wed, 28 Oct 2015 22:43:59 -0300

dh-elpa (0.0.15) unstable; urgency=medium

  * Also ignore emacs20
  * Avoid error from find in remove script (Closes: #802963).

 -- David Bremner <bremner@debian.org>  Sun, 25 Oct 2015 14:31:04 -0300

dh-elpa (0.0.14) unstable; urgency=medium

  * Also ignore emacs21 and emacs22 in emacsen-common helper scripts

 -- David Bremner <bremner@debian.org>  Thu, 22 Oct 2015 23:05:11 -0300

dh-elpa (0.0.13) unstable; urgency=medium

  * remove /usr/share/${FLAVOUR}/site-lisp/elpa on last package removal.

 -- David Bremner <bremner@debian.org>  Tue, 06 Oct 2015 21:21:39 -0300

dh-elpa (0.0.12) unstable; urgency=medium

  * Replace use of private function `autoscript_sed' from Dh_Lib

 -- David Bremner <bremner@debian.org>  Fri, 25 Sep 2015 08:19:59 -0300

dh-elpa (0.0.11) unstable; urgency=medium

  * Fix elpa version in generated maintainer scripts (Closes: #799032)
    (again).

 -- David Bremner <bremner@debian.org>  Tue, 22 Sep 2015 09:14:25 -0300

dh-elpa (0.0.10) unstable; urgency=medium

  * Take elpa version from lisp source (Closes: #799032).
    Thanks to Thomas Koch for the report.

 -- David Bremner <bremner@debian.org>  Sat, 19 Sep 2015 10:49:28 -0300

dh-elpa (0.0.9) unstable; urgency=medium

  * Bug fix: "dh-elpa should provide substvar for depends field", thanks
    to Thomas Koch (Closes: #799208). Currently we add only an unversioned
    depends on emacsen-common.
  * Bug fix: "an elpa package cannot require a non elpa debian package",
    thanks to Remi Vanicat (Closes: #798576). As Remi suggests, use -q
    instead of -Q to byte-compile files.

 -- David Bremner <bremner@debian.org>  Thu, 17 Sep 2015 07:45:15 -0300

dh-elpa (0.0.8) unstable; urgency=medium

  * Skip binary packages with no files in their package.elpa file and or
    on the command line.

 -- David Bremner <bremner@debian.org>  Sat, 12 Sep 2015 20:54:05 -0300

dh-elpa (0.0.7) unstable; urgency=medium

  * On package uninstall remove the non-emacs-lisp symlinks as well
  * Add Vcs-{Git,Browser} headers

 -- David Bremner <bremner@debian.org>  Tue, 08 Sep 2015 13:54:34 -0300

dh-elpa (0.0.6) unstable; urgency=medium

  * Bug fix: "maintainer address bounces", thanks to Ansgar Burchardt
    (Closes: #797940).

 -- David Bremner <bremner@debian.org>  Thu, 03 Sep 2015 18:35:06 -0300

dh-elpa (0.0.5) unstable; urgency=medium

  * Use debian/.debhelper/elpa for temp files. This allows easier
    debugging.
  * Add a check for ${elpa_name}-pkg.el in multi-file packages
  * Link all top level files/directories into flavour directory, not
    just *.el

 -- David Bremner <bremner@debian.org>  Tue, 01 Sep 2015 19:09:51 -0300

dh-elpa (0.0.4) unstable; urgency=medium

  * Fix postinst bug: s/mkdir/mkdir -p/

 -- David Bremner <bremner@debian.org>  Thu, 20 Aug 2015 11:24:54 +0200

dh-elpa (0.0.3) unstable; urgency=medium

  * Switch to team maintenance
  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Thu, 20 Aug 2015 09:47:48 +0200

dh-elpa (0.0.2) experimental; urgency=medium

  * Clean up temporary directory
  * By default install emacsen-common helper scripts to do byte
    compilation and removal. It's the responsibility of packages
    build-depending on dh-elpa to depend on emacsen-common unless they use
    the no-byte-compile flag.

 -- David Bremner <bremner@debian.org>  Fri, 17 Jul 2015 19:03:42 +0200

dh-elpa (0.0.1) experimental; urgency=medium

  * Initial upload, early adopters only.

 -- David Bremner <bremner@debian.org>  Sat, 11 Jul 2015 15:24:57 +0200
